<?xml version='1.0' encoding='UTF-8'?>



<xsl:stylesheet version='2.0'
    xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
    xmlns:dc="http://purl.org/dc/elements/1.1/"
     xmlns:atom="http://www.w3.org/2005/Atom" 
    xmlns:date="http://exslt.org/dates-and-times"
    extension-element-prefixes="date">

  <xsl:output method="xml" encoding="utf-8" />
  <xsl:template match='/'>
    <rss version="2.0">
       <channel>
	 	<title>NBII Clearinghouse Search Results RSS Feed</title>
         <link>http://mercdev3.ornl.gov/nbii3/</link>
         <description>
          This is the search result based on your NBII Clearinghouse search criteria.
         </description>
         <language>en-us</language>
         <docs>http://mercdev3.ornl.gov/nbii3/</docs>
         <xsl:apply-templates select="response/result/doc"/>
         <atom:link href="http://mercdev3.ornl.gov/nbii3/send/processCustomRss?feed=fish" rel="self" type="application/rss+xml" />
       </channel>
    </rss>
  </xsl:template>
  
  <!-- search results xslt -->
  <xsl:template match="doc">
    <xsl:variable name="id" select="str[@name='id']"/>
    
    <item>
      <title><xsl:value-of select="str[@name='title']"/></title>
      <link>
        <!-- http://mercdev3.ornl.gov/ornldaac3/send/xsltText2?full_datasource=ornldaac&#38;fileURL= -->
        http://mercdev3.ornl.gov/nbii3/send/xsltText2?full_datasource=<xsl:value-of select="str[@name='datasource']"/>&#38;fileURL=<xsl:value-of select="$id"/>
      </link>
      <description>
        <xsl:value-of select="str[@name='abstract']"/>
       
      </description>
      
       
      
      <guid>
        http://mercdev3.ornl.gov/nbii3/send/xsltText2?full_datasource=<xsl:value-of select="str[@name='datasource']"/>&#38;fileURL=<xsl:value-of select="$id"/>
      </guid>
     <xsl:choose>
      
  		<xsl:when test="date[@name='pubDate']">
        <pubDate>
       	<xsl:call-template name="rfc822Date"><xsl:with-param name="isoDate" select="date[@name='pubDate']"/></xsl:call-template>
       </pubDate>
       
    </xsl:when>
  </xsl:choose>   

    </item>
  </xsl:template>
  

 <!-- Converts a date in ISO 8601 format into a date in RFC 822 format -->
<xsl:template name="rfc822Date">
  <xsl:param name="isoDate"/>
   <xsl:value-of select="date:format-date($isoDate, 'EEE, dd MMM yyyy HH:mm:ss Z')"/>
   
</xsl:template>
  
</xsl:stylesheet>
