<?xml version='1.0' encoding='UTF-8'?>



<xsl:stylesheet version='2.0'
	xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
	xmlns:d1="http://dataone.org/service/types/ObjectList/0.1"
	xmlns:common="http://dataone.org/service/types/common/0.1"
	xmlns:xs="http://www.w3.org/2001/XMLSchema"
	xmlns:date="http://exslt.org/dates-and-times"
	extension-element-prefixes="date">

	<xsl:output method="xml" encoding="utf-8" indent="yes"/>
	<xsl:template match='/'>
				<xsl:apply-templates select="/response/result" />
	</xsl:template>

	<xsl:template match="result">

	<d1:objectList>
			<xsl:attribute name="start">
				<xsl:value-of select="@start" />
			</xsl:attribute>
			<xsl:attribute name="count">
				<xsl:value-of select="count(doc)" />
			</xsl:attribute>
			<xsl:attribute name="total">
				<xsl:value-of select="@numFound" />
			</xsl:attribute>
		<xsl:apply-templates select="doc" />
	</d1:objectList>
	</xsl:template>
	<!-- search results xslt -->
	<xsl:template match="doc">
		<objectInfo>
			<identifier><xsl:value-of select="str[@name='identifier']" /></identifier>
			<objectFormat><xsl:value-of select="str[@name='objectFormat']" /></objectFormat>
			<checksum>
				<xsl:attribute name="algorithm">
					<xsl:value-of select="str[@name='checksumAlgorithm']" />
				</xsl:attribute>
				<xsl:value-of select="str[@name='checksum']" />
			</checksum>
 			<xsl:choose>
			<xsl:when test="date[@name='dateSysMetadataModified']"> 
<!--		  <dateSysMetadataModified><xsl:call-template name="rfc822Date"><xsl:with-param name="isoDate" select="date[@name='dateSysMetadataModified']" /></xsl:call-template></dateSysMetadataModified>  -->
			  <dateSysMetadataModified><xsl:value-of select="date[@name='dateSysMetadataModified']" /></dateSysMetadataModified>
			</xsl:when>
			</xsl:choose>
			<size><xsl:value-of select="long[@name='size']" /></size>
		</objectInfo>

	</xsl:template>


<xsl:variable name="apos" select='"&apos;"' />

	<!--
		Converts a date in ISO 8601 format into a date in RFC 822 format
	-->
	<xsl:template name="rfc822Date"><xsl:param name="isoDate" />
	<xsl:value-of select="date:format-date($isoDate, concat('yyyy-MM-dd', $apos,'T', $apos,'HH:mm:ss.SSS'))" />
	<xsl:text>Z</xsl:text>
	</xsl:template>

</xsl:stylesheet>