<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="xtags" uri="http://jakarta.apache.org/taglibs/xtags-1.0"%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
	
<!doctype html>
<%
	response.setHeader("Pragma", "No-store,no-cache");
	response.setDateHeader("Expires", 0);
	response.setHeader("Cache-Control", "no-store,no-cache");
%>
<%@ include file="savesession.jsp"%>
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
		<title>A Search Tool for Scientific Data</title>
		<link rel="shortcut icon" type="image/x-icon" href="../images/favicon_d1.ico" />
		
		<!--  DataONE CSS styles -->
		<link rel="stylesheet" type="text/css" href="../styles/dataone-v3-style.css" />
		<link rel="stylesheet" type="text/css" href="../styles/one-mercury.css" />
		<link rel="stylesheet" type="text/css" href="../mfbase/ext/resources/css/ext-all.css" />
		<link rel="stylesheet" type="text/css" href="../styles/brief_page.css"/>
		<link rel="stylesheet" type="text/css" href="../styles/jquery.cluetip.css" />
		<link rel="stylesheet" type="text/css" href="../styles/d1-download-panel.css"/>
<!--[if IE]>
		<link rel="stylesheet" type="text/css" href="../styles/IE.css"/>		
<![endif]-->

		<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
		<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.19/jquery-ui.min.js"></script>
		<link rel="stylesheet" type="text/css" href="../scripts/jquery/redmond/jquery-ui-1.8.19.custom.css"/>
		<script type="text/javascript" src="../scripts/jquery/jquery.cookie.js"></script>
		<script type="text/javascript" src="../scripts/spin.min.js"></script>
		
		<script type="text/javascript" src="../scripts/jquery.cluetip.js"></script>
		<script type="text/javascript" src="../scripts/jquery.truncator.js"></script>
		<script type='text/javascript' src="../scripts/brief.js"></script>
		<script type='text/javascript' src="../scripts/one-mercury.js"></script>
		
		<script type="text/javascript"src="../scripts/jquery/tooltip/jquery.delegate.js"></script>
		<script type="text/javascript"src="../scripts/jquery/tooltip/jquery.bgiframe.js"></script>
		<script type="text/javascript"src="../scripts/jquery/tooltip/jquery.tooltip.pack.js"></script>
		<link rel="stylesheet" type="text/css" href="../scripts/jquery/tooltip/jquery.tooltip.css"/>
	
		<script src="../scripts/googleAnalytics.js" type="text/javascript"></script>
		<script src="../scripts/M3.js" type="text/javascript"></script>
		<script src="../scripts/M3.downloadPanel.js" type="text/javascript"></script>
	
		<script type="text/javascript">
		  var opts = {
				  lines: 13, // The number of lines to draw
				  length: 10, // The length of each line
				  width: 5, // The line thickness
				  radius: 5, // The radius of the inner circle
				  corners: 1, // Corner roundness (0..1)
				  rotate: 0, // The rotation offset
				  direction: 1, // 1: clockwise, -1: counterclockwise
				  color: '#000', // #rgb or #rrggbb or array of colors
				  speed: 1, // Rounds per second
				  trail: 60, // Afterglow percentage
				  shadow: false, // Whether to render a shadow
				  hwaccel: false, // Whether to use hardware acceleration
				  className: 'spinner', // The CSS class to assign to the spinner
				  zIndex: 2e9, // The z-index (defaults to 2000000000)
				  top: '50%', // Top position relative to parent
				  left: '50%' // Left position relative to parent
				  };
		var spinner={};
		
		$(document).ready(function() {
				$('.tuncate').truncate({max_length: 200});			 
				$('button#help-button').cluetip({activation: 'click',sticky: true, closePosition: 'title', closeText: '<img src="../images/cross.png" alt="Close" title="Close" />', width: 820});
				
				spinner = new Spinner(opts);
				
				var filterForDataSessionVal = ${solrTransactionDetail.filterForData};
				if (filterForDataSessionVal === true) {
					$('#filterForData').prop('checked', true);					
				} else {
					$('#filterForData').prop('checked', false);
				}
				$('#filterForDataText').click(function() {
					var currentVal = $('#filterForData').is(':checked')
					$('#filterForData').prop('checked', !currentVal);
					submitFilterForDataChange();
				});
				$('#filterForData').click(function() {
					submitFilterForDataChange();
				});
				$(window).bind('beforeunload', function(){
					loadingMesg();
				});
		});
		
		function submitFilterForDataChange() {
			var queryString = '${solrTransactionDetail.mercury3_query_string}';
			queryString = queryString.replace('filterForDataHidden=true', '');
			queryString = queryString.replace('filterForDataHidden=false', '');
			var filterForDataElementValue = $('#filterForData').is(':checked');
			var filterForDataParamValue = '&filterForDataHidden=' + filterForDataElementValue;
			document.location.href='../send/results_navigation2?' + queryString + filterForDataParamValue;
		}
		
		function startover() {	     
			document.location.href='/onemercury';
		}

		function relocate(select,attribName) {
			var addQuery = select.options[select.selectedIndex].value;
			if(!addQuery) return; /* no selection */
			var currQuery = location.search.substring(1);
			location.href += (currQuery?"&":"?") + attribName+"="+addQuery;
		}
		
		function displaydesc(which, descriptionarray, container) {
			if (document.getElementById)
				document.getElementById(container).innerHTML=descriptionarray[which.selectedIndex];
		}
		
		function jumptolink(what) {
			var selectedopt=what.options[what.selectedIndex];
			if (document.getElementById && selectedopt.getAttribute("target")=="newwin") {
				window.open(selectedopt.value);
			} else if (selectedopt.getAttribute("target")!=null) {
				document.getElementById(selectedopt.getAttribute("target")).src=selectedopt.value;
			} else {
				window.location=selectedopt.value;
			}
		}
		
		//entering new code
		function m1Click(filterStr){
			document.getElementById(filterStr).style.background = "#4F0229" // onclick
			document.getElementById(filterStr).style.color = "white" // onclick
		}
		
		function loadingMesg() {
			var spin_target = $('#loading-panel')[0];
			spinner.spin(spin_target);
			$("body").addClass("loading");
		}
		
		function rss(){
			hidden = open('../send/processRss?${solrTransactionDetail.mercury3_query_string}&sortattribute=pubDate','RSSWindow');
		}
	</script>
	</head>

	<body>
		<%@ include file="overlay-include.jsp" %>

	    <div id="page-inner-frame" class="header-group-wrapper footer-wrapper">

			<%@ include file="one-mercury-header-include.jsp" %>

			<div id="main-content-inner" style="clear:both">

							<div id="container">
								<div id="space">
									<%
										String agent = request.getHeader("USER-AGENT");
										if (agent.contains("MSIE 6") || agent.contains("MSIE 5")) {
									%>
									<b style="color: red">*NOTE: You are using a very old
										browser, some features such as RSS, Bookmark may not be
										available to you</b>
									<%
										}
									%>
								</div>
								
								<div class="button-container left">
									<button class="d1-button" onclick="startover();">Return to Search</button>
								</div>
								
								<div class="button-container right">
									<script> 
										document.write("<button id='email-button' class=\"d1-button\" title=\"Email this page\" alt=\"Email this page\" onclick=\"location.href='mailto:?subject=ONEMercury Search Results&body=Search Results Link: "+escape(location.href)+"%0A%0A"+";'\">Email Query</button>");
									</script>
											<%
												String urlAddresslocation = "https://" + request.getServerName()
														+ ":" + request.getServerPort() + "/nbii3/send/query?"
														+ request.getQueryString();
												session.setAttribute("BriefurlAddresslocation", urlAddresslocation);
											%>

											<script>
							var urlAddress = location.href;	
							function CreateBookmarkLink() { 
								qstr = "${solrTransactionDetail.plainqueryString}";
								title = "DataONE Mercury Metadata Query"+" - "+qstr.substring(0,50); 
								if (OM.isFF === true) { // Mozilla Firefox Bookmark		
							  		window.sidebar.addPanel(title, urlAddress,"");	
								}
								else if (OM.isIE === true) { // IE Favorite		
							  		window.external.AddFavorite( urlAddress,title); 
								} else if(window.opera && window.print) { // Opera Hotlist		
							  		return true; 
								}
							}
							if (OM.isIE === true) {  
							 	document.write('<button class="d1-button" title="Bookmark this Page" alt="Bookmark this Page" onclick="CreateBookmarkLink()");">Bookmark Query</button>');  
							 }  else if (OM.isFF === true) {
							   	document.write('<button class="d1-button" title="Bookmark this Page" alt="Bookmark this Page" onclick="CreateBookmarkLink()");">Bookmark Query</button>'); 
							 } else if (window.opera && window.print) {	
							  document.write('<button class="d1-button" title="Bookmark this Page" alt="Bookmark this Page" onclick="CreateBookmarkLink()");">Bookmark Query</a>');
							 }
						 </script>
											<button id="help-button" class="d1-button" title="Help" rel="../briefHelp.htm">Help</button>
								</div>

								<br />
								<br />
								<div id="searchResults">

									<c:choose>
										<c:when test="${empty solrTransactionDetail.mlt_list}">
												<c:out value=" Query:  ${solrTransactionDetail.plainqueryString}" />
										</c:when>
										<c:otherwise>
												<c:out value=" You Searched for documents Similar to:  ${param.mlt_title}" />
										</c:otherwise>
									</c:choose>
								</div>
										<div class="center-text">
								<c:if test="${solrTransactionDetail.browseStatus!='true'}">
									<c:if test="${! empty solrTransactionDetail.solr_facets_map}">
											${solrTransactionDetail.facet_str}
											<br>
									</c:if>
									<c:if test="${solrTransactionDetail.found  != '0' }">
										</div>

										<div class="center-text" style="font-weight:bold;padding-top:15px">
											<a href="." id="filter-toggle">Hide Filters</a>
										</div>
									
										<div class="positionFilter" id="filter-container">
											<c:if test="${! empty solrTransactionDetail.facets}">
												<c:forEach items="${solrTransactionDetail.facets}"
													var="afacet">
													<c:set var="facetCat" value="${afacet.key}" />
														<c:set var="facetCount" value="${pageScope.facetCount+1}"
															scope="page" />
														<c:if test="${pageScope.facetCount<5}">
															<div class="filter rounded-corners">
																<div class="filterhead top-rounded-corners">
																	<c:out value="Filter by ${facetCat.filterCatName}" />
																</div>
																<div class="textFilter">
																	<c:forEach items="${afacet.value}" var="facetV">
																		<a class="textFilterFont"
																			href="../send/facetsQuerry2?${solrTransactionDetail.mercury3_query_string}&facetattribute=${facetCat.filterCatCode}&facet=${facetV.name}"
																			title='${facetV.description}'>
																			<c:if test="${facetCat.filterCatCode=='project'}">
																				<script type="text/javascript"> trim_facet("${facetV.name}") </script>
																			</c:if> <c:if
																				test="${facetCat.filterCatCode!='project' && facetCat.filterCatCode!='datasource'}"> ${facetV.name}
																		</c:if> <c:if test="${facetCat.filterCatCode=='datasource'}">${facetV.description}
																		</c:if> <span style="color: brown;"><c:out value=" (${facetV.value})" /> </span> </a>
																		<br />
																	</c:forEach>
																</div>
															</div>
														</c:if>
												</c:forEach>
											</c:if>
										</div>
									</c:if>
								</c:if>
								<div id="body">
									<div>
										<div class="center-text">
											<c:if test="${solrTransactionDetail.searchStatus!='200'}">Solr is NOT happy. Status = "${solrTransactionDetail.searchStatus}" </c:if>
											<c:if test="${solrTransactionDetail.found  == 0 }">
												Sorry, there were no results found.
												<div style="width:100%; display:inline-block">		
													<div class="left tool-tip" title="When selected, will show those results which <br> have data directly available through DataONE." style="margin-top:10px">
														<input type="checkbox" id="filterForData"/>
														<span class="d1-button" id="filterForDataText" style="font-size:13px">&nbsp;Direct access data available.</span>
													</div>
												</div>
											</c:if>
										</div>

										<c:if test="${!empty solrTransactionDetail.mlt_list}">
											<div class="center-text">
												<button class="d1-button" onclick="history.back();">Go back to original search results</button>
											</div>
										</c:if>

										<c:if test="${solrTransactionDetail.found  != 0 }">
											<div class="but">
												<%
													if (request.getHeader("referer") != null && request.getHeader("referer").contains("processRss")) {
												%>
														<button class="d1-button" onclick="history.go(-1)">Back</button>
														<button class="d1-button" onclick="startover();">Search Again</button>
												<%
													}
												%>
											</div>
									<div style="width:100%; display:inline-block">		
											<div class="left tool-tip" title="When selected, will show those results which <br> have data directly available through DataONE." style="margin-top:10px">
												<input type="checkbox" id="filterForData"/>
												<span class="d1-button" id="filterForDataText" style="font-size:13px">&nbsp;Direct access data available.</span>
											</div>
											
											<div class="left tabs">
													<c:if test="${empty solrTransactionDetail.mlt_list}">
														<b>Sort By:</b>
														<li class="tool-tip" title="Sort search results by how well they match search terms.">
															<a href="../send/results_navigation2?${solrTransactionDetail.mercury3_query_string}&sortattribute=default" id="default">
																<span>Relevance</span>
															</a>
														</li>
														<li class="tool-tip" title="Sort search results by the temporal start date.">
															<a href="../send/results_navigation2?${solrTransactionDetail.mercury3_query_string}&sortattribute=beginDate" id="beginDate">
																<span>Start Date</span>
															</a>
														</li>
														<li class="tool-tip" title="Sort search results to display the most recently added documents first.">
															<a href="../send/results_navigation2?${solrTransactionDetail.mercury3_query_string}&sortattribute=dateUploaded" id="dateUploaded">
																<span>Most Recent</span>
															</a>
														</li>
												</ul>
													</c:if>
											</div>
											<script>m1Click('${solrTransactionDetail.sortattribute}');</script>

										<div class="right" style="padding:0;margin:0;font-size:10pt;">
											<c:if test="${solrTransactionDetail.found > 0 }">
												<c:if test="${solrTransactionDetail.found  < solrTransactionDetail.pageSize }">
													Viewing documents <c:out value="${solrTransactionDetail.start + 1}" /> - <c:out value="${solrTransactionDetail.found}" /> out of <c:out value="${solrTransactionDetail.found}" />
												</c:if>
												<c:if test="${solrTransactionDetail.found  >= solrTransactionDetail.pageSize }"> 
													Viewing documents <c:out value="${solrTransactionDetail.start + 1}" /> - <c:out value="${solrTransactionDetail.page_max_count}" /> out of  <c:out value="${solrTransactionDetail.found}" />
													<br>
													<div class="docview">${solrTransactionDetail.nb}</div>
												</c:if>
											</c:if>
										</div>
								</div>
											<br>
											<br>
											<div style="float: left; ">
												<table id="results-table">
													<tr>
														<td valign="top">
															<div class="search-result">
																<table class="paneContents" style="height: auto; width: 100%">
																	<tr>
																	</tr>
																	<tr>
																		<td class="rightTDContent">
																			<div id="tables" style="height: auto; width: 100%">
																				<c:if test="${! empty solrTransactionDetail.briefResList}">
																					<table style="background:white; width:100%;">
																						<c:forEach items="${solrTransactionDetail.briefResList}" var="briefRes" varStatus="briefStatus">
																							<tr>
																								<td colspan="2" class="search-result-row">
																									<div class="fullDisplay">
						                     														 	<span class="briefTitle" style='text-transform:none'>
						                     														 		<c:out value="${briefRes.investigators}" />.&nbsp;&nbsp;
						                     														 		<c:out value="${briefRes.citationDate}" />.&nbsp;&nbsp;
						                     														 		<c:out value="${briefRes.title}" />.
						                     														 	</span>
																									</div>
																								</td>
																							</tr>
																							<tr>
																								<td colspan="2">
																									<span class="dates">
																										<b><i>Identifier:</i></b>
																										<span>
																												<c:out value="${briefRes.id}" />
																										</span>
																									</span>
																									<span class="dates">
																										<b><i>Datasource:</i></b> 
																										<span>
																											<c:out value="${briefRes.datasource}" />
																										</span>
																									</span>
																								</td>
																						</tr>
																							<!-- COINS TAG -->
																							<!-- rft.au=${briefRes.author}& -->
																							<span class="Z3988" title='<c:out value="url_ver=Z39.88-2004&ctx_ver=Z39.88-2004&rft_val_fmt=info:ofi/fmt:kev:mtx:dc&rfr.id=info:/sid/dataone.org&rft.identifier=${briefRes.dataUrl}&rft.title=${briefRes.title}&rft.date=${briefRes.citationDate}&rft.source=${briefRes.id}&rft.description=${fn:substring(briefRes['abstract'],0,600)}&rft.publisher=${briefRes.datasource}" escapeXml="true" /> <c:forEach items="${briefRes.keywords}" var="keyword" varStatus="keywordStatus"><c:out value="&rft.subject=${keyword}" escapeXml="true" /></c:forEach><c:forEach items="${briefRes.investigators}" var="investigator" varStatus="investigatorStatus"><c:out value="&rft.au=${investigator}" escapeXml="true" /></c:forEach>'></span>
																								<tr>
																									<td class="absfont" colspan="2" style="padding-left:15px;">
																											<c:out value="${fn:substring(briefRes['abstract'],0,600)}..." escapeXml="false" />
																									</td>
																								</tr>
																							<tr>
																								<td colspan="2">
																									<div class="scores">
																										<span class="dates">
																											<script type="text/javascript">
																												// Register button with downloadPanel component
																												<c:forEach items="${briefRes.resourceMap}" var="resourceMap" varStatus="resourceMapStatus">
																													M3.downloadPanel.registerButton('d1-download-panel-button-${briefStatus.count}','${resourceMap}', '${briefRes.id}');
																												</c:forEach>
																												<c:if test="${empty briefRes.resourceMap}" >
																													M3.downloadPanel.registerButton('d1-download-panel-button-${briefStatus.count}', null, '${briefRes.id}');
																												</c:if>
																											</script>
																											<button class="dataPackageButton d1-button result-button" id="d1-download-panel-button-${briefStatus.count}">Download</button>
																											<button class="d1-button result-button" onclick="window.location='../send/xsltText2?pid=${briefRes.id}&fileURL=${briefRes.fileID}&full_datasource=${briefRes.datasource}&full_queryString=${solrTransactionDetail.gui_queryString}&ds_id=${fn:substringAfter(briefRes['ogc_url'],'=')}'">View full metadata</button>
																										</span>
																									</div>
																								</td>
																							</tr>
																						</c:forEach>
																					</table>
																				</c:if>


																				<span style='font-size: 12px; text-align: center'>
																					<div>
																						<c:if test="${solrTransactionDetail.found  >= solrTransactionDetail.pageSize }" >
																							Viewing Documents <c:out value="${solrTransactionDetail.start + 1}" /> - <c:out value="${solrTransactionDetail.page_max_count}" /> out of  <c:out value="${solrTransactionDetail.found}" />
																							<br />
																							<div class="docview">${solrTransactionDetail.nb}</div>
																						</c:if>
																						<c:if test="${solrTransactionDetail.found  < solrTransactionDetail.pageSize }" > 
																							Viewing Documents <c:out value="${solrTransactionDetail.start + 1}" /> - <c:out value="${solrTransactionDetail.found}" /> out of  <c:out value="${solrTransactionDetail.found}" />
																						</c:if>
																					</div>
																				</span>
																			</div>
																		</td>
																	</tr>

																</table>
															</div>
														</td>
													</tr>
												</table>
											</div>
									</div>
								</div>
								</c:if>
			</div>			
		<div id="zone-footer" style="padding-top: 10px;">
		   <p class="footer-text">DataONE is a collaboration among many partner organizations, and is funded by the US National Science Foundation (NSF) under a Cooperative Agreement.  
		   		<br />
				1312 Basehart SE 1 University of New Mexico Albuquerque, NM 87106 <a href="https://www.dataone.org/contact"> Contact Us </a> | <a href="https://www.dataone.org/sitemap"> Site Map </a>
				<br /><br />
				Acknowledgement: This material is based upon work supported by the National Science Foundation under Grant Number 083094
				<br />
				Disclaimer: Any opinions, findings, and conclusions or recommendations expressed in this material are those of the author(s) and do not necessarily reflect the views of the National Science Foundation.
			</p>
		</div>
    
	</div><!-- /main-group -->
	
	
	<div class="d1-download-panel default-font-family full-display-text" id="d1-download-panel" title="Data Package Files">
		<div class="d1-download-panel-message" id="d1-download-panel-message"></div>
		<div class="d1-download-panel-content" id="d1-download-panel-content"></div>
	</div>
<script type="text/javascript">
	(function($) {
	    $('.tool-tip').tooltip();
	})(jQuery);

	function handleFilterToggle() {
		var state = $('#filter-container').toggle().css('display');
	    if (state === 'none') {
	    	$('#filter-toggle').text('Show Filters');
	    	$.cookie('filter-toggle', state);
	    } else {
	    	$('#filter-toggle').text('Hide Filters');
	    	$.cookie('filter-toggle', state);
	    }
	}

	(function($) {
	    $(function() {
	        $('#filter-toggle').on('click', function(e) {
	            e.preventDefault();
	            handleFilterToggle();
	        });
	    });
		
		var initFilter = $.cookie('filter-toggle');
		if (initFilter === 'none') {
			handleFilterToggle();
		}

	})(jQuery);

	$(document).ready(M3.downloadPanel.initialize());
</script>
</body>
</html>
