<?xml version="1.0" encoding="UTF-8"?>
<!-- Edited with XML Spy v2007 (http://www.altova.com) -->
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" version="1.0" encoding="UTF-8"
		indent="yes" />
	<xsl:template match="/">
			<script type='text/javascript' src='../scripts/googlekey.js' />
			<script type='text/javascript' src='../scripts/googleFullPage.js' />
			<link rel="stylesheet" type="text/css" href="../styles/abstract.css" />
		<table class="fullTable">
		
		
		<tr>
				<td>
					<span style="font-weight:bold">Project Number:</span>
				</td>
				<td>
					<b><xsl:value-of select="metadata/mercury/CDIAC/Product_number" /></b>
				</td>
			</tr>			
		
		
		<tr>
				<td>
					<span style="font-weight:bold">Product Title:</span>
				</td>
				<td>
					<b><xsl:value-of
						select="metadata/mercury/CDIAC/Product_title"
						disable-output-escaping="yes" /></b>
				</td>
			</tr>

			<tr>
				<td valign="top">
					<span style="font-weight:bold">
						Author(s):
					</span>
				</td>
				<td class="investigator">
					<xsl:for-each
						select="metadata/mercury/CDIAC/Author">
						<xsl:value-of select="Name"
							disable-output-escaping="yes">
						</xsl:value-of> - 
						<xsl:value-of select="Company"
							disable-output-escaping="yes">
						</xsl:value-of> -
						<xsl:value-of select="Organization"
							disable-output-escaping="yes">
						</xsl:value-of> 
						<br/>
					</xsl:for-each>
				</td>
			</tr>
			<xsl:variable name="CDIAC_contact">
							<xsl:value-of select="metadata/mercury/CDIAC/CDIAC_contact" />
						</xsl:variable>
			<xsl:if test="$CDIAC_contact != ''">	
			<tr>
				<td>
					<span style="font-weight:bold">
						CDIAC Contact(s):
					</span>
				</td>
				<td>
					<xsl:value-of select="$CDIAC_contact" />
				</td>
			</tr>		
			</xsl:if>	
			<tr>
				<td>
					<span style="font-weight:bold">
						Data Set Location:
					</span>
				</td>
				<td valign="top">					
						<xsl:variable name="url2">
							<xsl:value-of select="metadata/mercury/CDIAC/Data_file_location" />
						</xsl:variable>				
						<a
							href="{$url2}" onclick="survey('{$url2}');">
							<xsl:value-of select="$url2" />
						</a>						
				</td>
			</tr>
			
			<tr>
				<td>
					<span style="font-weight:bold">
						Data Center URL:
					</span>
				</td>
				<td>
					<xsl:variable name="url1">
						<xsl:value-of
							select="metadata/distinfo/stdorder/digform/digtopt/onlinopt/computer" />
					</xsl:variable>
					<a
						href="{$url1}" onclick="survey('{$url1}');">
						<xsl:value-of
							select="metadata/distinfo/stdorder/digform/digtopt/onlinopt/computer" />
					</a>
				</td>
			</tr>
			<tr>
				<td>
					<span style="font-weight:bold">
						Thematic Area:
					</span>
				</td>
				
				<td>
				<xsl:apply-templates select="metadata//Thematic_area" /> 
				</td>
			</tr>		
			
			<tr>
				<td>
					<span style="font-weight:bold">
						Notes:
					</span>
				</td>
				
				<td>
				<xsl:value-of
							select="metadata/mercury/CDIAC/Notes" />
				</td>
			</tr>
			<tr>
				<td valign="top">
					<span style="font-weight:bold">Keywords:</span>
				</td>
				<td>
					<xsl:apply-templates select="metadata//Keywords" />
				</td>
			</tr>

			<tr>
				<td valign="top"><span style="font-weight:bold">Abstract:</span></td>
				<td class="abstractTD">
				<xsl:value-of select="metadata/idinfo/descript/abstract"/>
				</td>
			</tr>
<xsl:variable name="siteinfo">			
<xsl:value-of select="metadata/idinfo/spdom/bounding/northbc" />
</xsl:variable>
<xsl:if test="$siteinfo != ' '">
			<tr>
				<td valign="top">
					<span style="font-weight:bold">
						Site Location:
					</span>
				</td>

				<td valign="top">
					<table class="fullmapTD">
						<tr>
							<td valign="top">

								<table class="fullmapTD">
									<tr class="tableHead">										
										<th align="left">North</th>
										<th align="left">West</th>
										<th align="left">South</th>
										<th align="left">East</th>
										<th align="left"></th>
									</tr>

									<xsl:for-each
										select="metadata/idinfo/spdom/bounding">
										<xsl:variable
											name="northcoord">
											<xsl:value-of
												select="northbc" />
										</xsl:variable>
										<xsl:variable
											name="westcoord">
											<xsl:value-of
												select="westbc" />
										</xsl:variable>
										<xsl:variable
											name="southcoord">
											<xsl:value-of
												select="southbc" />
										</xsl:variable>
										<xsl:variable
											name="eastcoord">
											<xsl:value-of
												select="eastbc" />
										</xsl:variable>


										<tr class="parameterFont">										
											<td>
												<xsl:value-of
													select="northbc" />
											</td>
											<td>
												<xsl:value-of
													select="westbc" />
											</td>
											<td>
												<xsl:value-of
													select="southbc" />
											</td>
											<td>
												<xsl:value-of
													select="eastbc" />
											</td>
											<td>
												<input class="buttons"
													type="button" value="Locate" name="Locate"
													onclick="map_it('{$southcoord}','{$westcoord}','{$northcoord}','{$eastcoord}');" />
											</td>
										</tr>
										<script>
											function
											map_it(sc,wc,nc,ec){
											document.coordValues.coordsValues.value	= "N: "+nc+" W: "+wc+"S:"+sc+" E: "+ec;
											document.coordValues.northbound.value= nc;
											document.coordValues.westbound.value= wc;
											document.coordValues.southbound.value= sc;
											document.coordValues.eastbound.value= ec;											
											loadMap();
											}
											
										</script>
									</xsl:for-each>


								</table>
							</td>
							<td valign="top">
								<table class="fullmapTD">
									<tr>
										<td align="center">
											<form name="coordValues">
												<div id="map1"
													style="width:260px; height:200px; border:0px solid #1D6893;overflow:auto;">
												</div>
									
												<xsl:variable
													name="northcoord">
													<xsl:value-of
														select="metadata/idinfo/spdom/bounding/northbc" />
												</xsl:variable>
												<xsl:variable
													name="westcoord">
													<xsl:value-of
														select="metadata/idinfo/spdom/bounding/westbc" />
												</xsl:variable>
												<xsl:variable
													name="southcoord">
													<xsl:value-of
														select="metadata/idinfo/spdom/bounding/southbc" />
												</xsl:variable>
												<xsl:variable
													name="eastcoord">
													<xsl:value-of
														select="metadata/idinfo/spdom/bounding/eastbc" />
												</xsl:variable>											
												<input type="hidden"
													size="100" id="northbound" value="{$northcoord}" />
												<input type="hidden"
													size="100" id="westbound" value="{$westcoord}" />
												<input type="hidden"
													size="100" id="southbound" value="{$southcoord}" />
												<input type="hidden"
													size="100" id="eastbound" value="{$eastcoord}" />
											</form>
											<p />
											<br />
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
	</xsl:if>
	
	
			<tr valign="top">
				<td>
					<b>Site Information:</b>
				</td>
			
					<td>					
						<xsl:apply-templates select="metadata//Site_info" />						
					</td>
	

			</tr>
		
			<tr valign="top">
				<td>
					<b>Variable:</b>
				</td>
			
					<td>					
						<xsl:apply-templates select="metadata//Variable" />						
					</td>
	

			</tr>
			<tr valign="top">
				<td>
					<b>Descriptive File:</b>
				</td>
			
					<td>					
						<xsl:apply-templates select="metadata//Descriptive_file" />						
					</td>
	

			</tr>
			
			<tr valign="top">
				<td>
					<b>Content Time Range:</b>
				</td>
				<xsl:for-each select="metadata/mercury">
					<td>

						Begin:
						<xsl:value-of select="begdate" />
						- End:
						<xsl:value-of select="enddate" />


					</td>
				</xsl:for-each>

			</tr>




			<tr>
				<td valign="top">
					<span style="font-weight:bold">
						Metadata Author:
					</span>
				</td>
				<td>
					Name:
					<xsl:value-of
						select="metadata/metainfo/metc/cntinfo/cntperp/cntper" />
					<br />
					<xsl:variable name="email">
						<xsl:value-of
							select="metadata/metainfo/metc/cntinfo/cntemail" />
					</xsl:variable>
					Email:
					<a href="mailto:{$email}">
						<xsl:value-of
							select="metadata/metainfo/metc/cntinfo/cntemail" />
					</a>
					<br />
					Phone:
					<xsl:value-of
						select="metadata/metainfo/metc/cntinfo/cntvoice" />
				</td>
			</tr>


			<tr>
				<td valign="top">
					<span style="font-weight:bold">
						Additional Documentation:
					</span>
				</td>
				<td>
				<xsl:variable name="adddocumentation">
						<xsl:value-of
							select="metadata/mercury/CDIAC/Site_info/Site_URL" />
					</xsl:variable>
					
					<a href="mailto:{$adddocumentation}">
						<xsl:value-of
							select="metadata/mercury/CDIAC/Site_info/Site_URL" />
					</a>
						

				</td>
			</tr>
			<tr>
				<td colspan="2">
					<div style="text-align:center;">
						<xsl:variable name="metadata">
							<xsl:value-of
								select="metadata/idinfo/citation/citeinfo/onlink" />
						</xsl:variable>
						<a href="{$metadata}">View Metadata Source</a>
					</div>
				</td>
			</tr>
		</table>
<xsl:variable name="siteinfo">			
<xsl:value-of select="metadata/idinfo/spdom/bounding/northbc" />
</xsl:variable>
<xsl:if test="$siteinfo != ' '">
<script>loadMap();</script>
</xsl:if>
	</xsl:template>
	<xsl:template match="Keywords">
		<xsl:value-of select="." />
		<br />
	</xsl:template>
	<xsl:template match="Site_info"> 	 
  <xsl:apply-templates select="Site_name"/>
  <xsl:apply-templates select="Site_data_file"/>
  <br/>
	</xsl:template>	
	
	<xsl:template match="Site_name">
		<span style="color:black"><xsl:value-of select="." />	<br/>		
			</span>
	
	</xsl:template>	
	<xsl:template match="Site_data_file">				
	<xsl:variable name="siteurl">
				<xsl:value-of
						select="." /><br/>
	</xsl:variable>
		<a href="{$siteurl}" ><xsl:value-of select="." /><br/></a>		
	</xsl:template>		
	
	<xsl:template match="Variable">
		<xsl:value-of select="." />
		<br />
	</xsl:template>
	
	<xsl:template match="Descriptive_file">				
	<xsl:variable name="Descriptive_file">
				<xsl:value-of
						select="." /><br/>
	</xsl:variable>
		<a href="{$Descriptive_file}" ><xsl:value-of select="." /><br/></a>		
	</xsl:template>	
	
	<xsl:template match="Thematic_area">
		<xsl:value-of select="." />
		<br />
	</xsl:template>
</xsl:stylesheet>
