<?xml version="1.0" encoding="UTF-8"?>
<!-- Edited with XML Spy v2007 (http://www.altova.com) -->
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" version="1.0" encoding="UTF-8"
		indent="yes" />

	<xsl:template match="/">
			<script type='text/javascript' src='../scripts/googlekey.js' />
			<script type='text/javascript' src='../scripts/googleFullPage.js' />
		<table class="fullTable" width="100%">
			<tr>
				<td>
					<span style="font-weight:bold">Title:</span>
				</td>
				<td><b>

					<xsl:value-of
						select="metadata/idinfo/citation/citeinfo/title"
						disable-output-escaping="yes" />
				</b></td>
			</tr>

			<tr valign="top">
				<td>
					<span style="font-weight:bold">
						Investigator(s):
					</span>
				</td>
				<td>
					<xsl:for-each
						select="metadata/idinfo/citation/citeinfo">
						<xsl:value-of select="origin"
							disable-output-escaping="yes">
						</xsl:value-of>
						<br />
					</xsl:for-each>
				</td>
			</tr>
<xsl:variable name="status">
				<xsl:value-of
					select="metadata/idinfo/status/progress"
					disable-output-escaping="yes" />
			</xsl:variable>
<xsl:if test="$status != ''">			
			<tr>
				<td>
					<span style="font-weight:bold">Status:</span>
				</td>
				<td>
					<xsl:for-each select="metadata/idinfo/status">
						<xsl:value-of select="progress"
							disable-output-escaping="yes" />
					</xsl:for-each>
				</td>
			</tr>
</xsl:if>
<xsl:variable name="AccessRestriction">
				<xsl:value-of
					select="metadata/idinfo/accconst"
					disable-output-escaping="yes" />
			</xsl:variable>
<xsl:if test="$AccessRestriction != ''">	
			<tr>
				<td>
					<span style="font-weight:bold">
						Access Restriction:
					</span>
				</td>
				<td>
					<xsl:value-of select="metadata/idinfo/accconst"
						disable-output-escaping="yes" />

				</td>
			</tr>
</xsl:if>

			<xsl:variable name="datasetlocation">
				<xsl:value-of
					select="metadata/distinfo/distrib/cntinfo/cntorgp/cntorg"
					disable-output-escaping="yes" />
			</xsl:variable>

			<xsl:if test="$datasetlocation != ''">

				<tr>
					<td>
						<span style="font-weight:bold">
							Data set Location:
						</span>
					</td>
					<td>

						<xsl:value-of
							select="metadata/distinfo/distrib/cntinfo/cntorgp/cntorg"
							disable-output-escaping="yes" />

					</td>
				</tr>

			</xsl:if>



			<tr valign="top">
				<td>
					<span style="font-weight:bold">
						Data Center Contact:
					</span>
				</td>
				<td>
					<xsl:for-each
						select="metadata/distinfo/distrib/cntinfo/cntaddr">

						<xsl:value-of select="address"
							disable-output-escaping="yes" />
						&#xA0; City:
						<xsl:value-of select="city"
							disable-output-escaping="yes" />
						&#xA0; State:
						<xsl:value-of select="state"
							disable-output-escaping="yes" />
						&#xA0; Postal:
						<xsl:value-of select="postal"
							disable-output-escaping="yes" />
						&#xA0;
					</xsl:for-each>
					Phone:
					<xsl:value-of
						select="metadata/distinfo/distrib/cntinfo/cntvoice"
						disable-output-escaping="yes" />
					&#xA0; Email:
					<xsl:value-of
						select="metadata/distinfo/distrib/cntinfo/cntemail"
						disable-output-escaping="yes" />

				</td>
			</tr>

			<xsl:variable name="datacenterurl">
				<xsl:value-of
					select="metadata/distinfo/stdorder/digform/digtopt/onlinopt/computer/networka/networkr"
					disable-output-escaping="yes" />
			</xsl:variable>

			<xsl:if test="$datacenterurl !=''">

				<tr>
					<td>
						<span style="font-weight:bold">
							Data Center URL:
						</span>
					</td>
					<td>
					<xsl:variable name="title">
				<xsl:value-of
					select="metadata/idinfo/citation/citeinfo/title"
					disable-output-escaping="yes" />
			</xsl:variable>
						<xsl:variable name="link">
							<xsl:value-of
								select="normalize-space(metadata/distinfo/stdorder/digform/digtopt/onlinopt/computer/networka/networkr)" disable-output-escaping="yes"
								 />
						</xsl:variable>						
						<a href="../send/referralReDirect?type=Information&amp;subType=Home Page&amp;url={$link}&amp;title={$title}" onclick="survey('{$link}');">
							<xsl:value-of
								select="normalize-space(metadata/distinfo/stdorder/digform/digtopt/onlinopt/computer/networka/networkr)" disable-output-escaping="yes"/>
						</a>

					</td>
				</tr>
			</xsl:if>


			<xsl:variable name="rescdesc">
				<xsl:value-of select="metadata/distinfo/resdesc"
					disable-output-escaping="yes" />
			</xsl:variable>
			<xsl:if test="$rescdesc != ''">

				<tr valign="top">
					<td>
						<span style="font-weight:bold">
							Data set Citation:
						</span>
					</td>
					<td>

						<xsl:value-of select="metadata/distinfo/resdesc"
							disable-output-escaping="yes" />

					</td>
				</tr>
			</xsl:if>

			<xsl:variable name="downloaddataset">
				<xsl:value-of
					select="metadata/idinfo/citation/citeinfo/onlink" disable-output-escaping="yes"
					/>
			</xsl:variable>
			<xsl:if test="$downloaddataset != ''">

				<tr>
					<td>
						<span style="font-weight:bold">
							Download Data Sets:
						</span>
					</td>
					<td>
						
						
						<xsl:for-each
									select="metadata/idinfo/citation/citeinfo/onlink">
								<xsl:variable name="datasetDownload">
								<xsl:value-of
									select="."
									 disable-output-escaping="yes" />
						</xsl:variable>
			
								 <a href="../send/referralReDirect?type=DataAccess&amp;subType=Direct Internet Access&amp;url={$datasetDownload}&amp;title={$datasetDownload}" onclick="survey('{$datasetDownload}');">
										<xsl:value-of select="."/></a>
								<br/>

						</xsl:for-each>

						
					</td>
				</tr>
			</xsl:if>
			<tr valign="top">
				<td>
					<span style="font-weight:bold">Keyword(s):</span>
				</td>
				<td>
					<table class="fullmapTD" style="font-size:12px;">
						<tr class="tableHead">
							<th>Theme Keyword Thesaurus</th>
							<th>Theme Keyword</th>
						</tr>
						<xsl:for-each
							select="metadata/idinfo/keywords/theme">
							<tr class="parameterFont" valign="top">

								<td style=" border-bottom:0px;">
								
									<xsl:value-of select="themekt"
										disable-output-escaping="yes">
									</xsl:value-of>
						
								</td>
				
								<td style="border-bottom:0px;">
								<xsl:apply-templates select="themekey" /><br/> 
								</td>
							</tr>	
						</xsl:for-each>			
					</table>
				</td>
			</tr>
			<xsl:variable name="abstract">
				<xsl:value-of select="metadata/idinfo/descript/abstract"
					disable-output-escaping="yes" />
			</xsl:variable>
			<xsl:if test="$abstract != ''">
				<tr valign="top">
					<td>
						<span style="font-weight:bold">Abstract:</span>
					</td>
					<td>
						<xsl:value-of select="metadata/idinfo/descript/abstract" disable-output-escaping="yes" />

					</td>
				</tr>
			</xsl:if>


			
			<xsl:variable name="northbc">			
				<xsl:value-of select="metadata/idinfo/spdom/bounding/northbc" />
			</xsl:variable>
			<xsl:if test="$northbc !=''">	
			<tr valign="top">
				<td>
					<span style="font-weight:bold">
						Site Information:
					</span>
				</td>
				<td>
					<table class="fullmapTD">
						<tr>
							<td valign="top">
								<table class="fullmapTD">
									<tr class="tableHead">
										<th>Site</th>
										<th>North</th>
										<th>West</th>
										<th>South</th>
										<th>East</th>										
									</tr>

									<tr class="parameterFont"
										valign="top">										
				<xsl:variable name="descgeog"><xsl:value-of select="metadata/idinfo/spdom/descgeog" /></xsl:variable>
			<xsl:if test="$descgeog !=''">
												<td valign="top">
													<xsl:value-of select="metadata/idinfo/spdom/descgeog" disable-output-escaping="yes"> </xsl:value-of>
												</td>
			</xsl:if>
			<xsl:if test="$descgeog =''">
												<td valign="top">
													N/A
												</td>
			</xsl:if>			
										<xsl:for-each
											select="metadata/idinfo/spdom/bounding">

											<xsl:variable
												name="northcoord">
												<xsl:value-of
													select="northbc" />
											</xsl:variable>
											<xsl:variable
												name="westcoord">
												<xsl:value-of
													select="westbc" />
											</xsl:variable>
											<xsl:variable
												name="southcoord">
												<xsl:value-of
													select="southbc" />
											</xsl:variable>
											<xsl:variable
												name="eastcoord">
												<xsl:value-of
													select="eastbc" />
											</xsl:variable>
											<td>

												<xsl:value-of
													select="northbc" disable-output-escaping="yes">
												</xsl:value-of>

											</td>

											<td>

												<xsl:value-of
													select="westbc" disable-output-escaping="yes">
												</xsl:value-of>

											</td>

											<td>
												<xsl:value-of
													select="southbc" disable-output-escaping="yes">
												</xsl:value-of>
											</td>
											<td>

												<xsl:value-of
													select="eastbc" disable-output-escaping="yes">
												</xsl:value-of>

											</td>
										</xsl:for-each>

									</tr>
								</table>
							</td>
							<td>
								<form name="coordValues">
									<div id="map1" style="width:260px; height:200px; overflow: hidden">	</div>
									<xsl:variable name="northcoord">
										<xsl:value-of
											select="metadata/idinfo/spdom/bounding/northbc" />
									</xsl:variable>
									<xsl:variable name="westcoord">
										<xsl:value-of
											select="metadata/idinfo/spdom/bounding/westbc" />
									</xsl:variable>
									<xsl:variable name="southcoord">
										<xsl:value-of
											select="metadata/idinfo/spdom/bounding/southbc" />
									</xsl:variable>
									<xsl:variable name="eastcoord">
										<xsl:value-of
											select="metadata/idinfo/spdom/bounding/eastbc" />
									</xsl:variable>
									<LABEL for="coordsValues"></LABEL><input size="49" value="N:{$northcoord} W:{$westcoord} S:{$southcoord} E:{$eastcoord}" style="border:0; font-size:9px; background:#E0FFFF;" type="text" id="coordsValues" name="coordsValues" onFocus="this.blur();" />
									<input type="hidden" size="100" id="northbound" value="{$northcoord}" />
									<input type="hidden" size="100" id="westbound" value="{$westcoord}" />
									<input type="hidden" size="100" id="southbound" value="{$southcoord}" />
									<input type="hidden" size="100" id="eastbound" value="{$eastcoord}" />
								</form>
							</td>
						</tr>
					</table>
				</td>
			</tr>			
			
            </xsl:if>
			<xsl:variable name="Constraints">
				<xsl:value-of select="metadata/idinfo/useconst" />
			</xsl:variable>
			<xsl:if test="$Constraints != ''">
				<tr valign="top">
					<td>
						<span style="font-weight:bold">
							Use Constraints:
						</span>
					</td>
					<td>
												
							<xsl:value-of
								select="metadata/idinfo/useconst" disable-output-escaping="yes" />
						

					</td>
				</tr>
			</xsl:if>
			<tr valign="top">
				<td>
					<span style="font-weight:bold">
						Content Time Range:
					</span>
				</td>
				<td>
					Begin:
					<xsl:variable name="BeginDate">
					<xsl:value-of
						select="metadata/idinfo/timeperd/timeinfo/rngdates/begdate"
						disable-output-escaping="yes" />
					</xsl:variable>	
					<xsl:if test="$BeginDate =''">
					n/a
					</xsl:if>
					<xsl:if test="$BeginDate !=''">
					<xsl:value-of
						select="metadata/idinfo/timeperd/timeinfo/rngdates/begdate"
						disable-output-escaping="yes" />
					</xsl:if>
					
					&#xA0;
					
					End:
					<xsl:variable name="EndDate">
					<xsl:value-of
						select="metadata/idinfo/timeperd/timeinfo/rngdates/enddate"
						disable-output-escaping="yes" />
					</xsl:variable>
					<xsl:if test="$EndDate =''">
					n/a
					</xsl:if>					
					<xsl:if test="$EndDate !=''">
					<xsl:value-of
						select="metadata/idinfo/timeperd/timeinfo/rngdates/enddate"
						disable-output-escaping="yes" />
					</xsl:if>					
				</td>
			</tr>
			<tr valign="top">
				<td>
					<span style="font-weight:bold">
						Metadata Reference Information:
					</span>
				</td>
				<td>
					<table style="border-bottom:0px; font-size:12px;">
						<tr>
						
							<td>Metadata Date:</td>
							<td>
								<xsl:value-of
									select="metadata/metainfo/metd" disable-output-escaping="yes" />
							</td>
						</tr>
						<tr>
							<td>Metadata Review Date:</td>
							<td>
								<xsl:value-of
									select="metadata/metainfo/metrd" disable-output-escaping="yes" />
							</td>
						</tr>
						<tr>
							<td>Metadata Future Review Date:</td>
							<td>
								<xsl:value-of
									select="metadata/metainfo/metfrd"
									disable-output-escaping="yes" />
							</td>
						</tr>
						<tr>
							<td>Metadata Contact:</td>
							<td>

								Organization:&#xA0;
								<xsl:value-of
									select="metadata/metainfo/metc/cntinfo/cntperp/cntper"
									disable-output-escaping="yes" />
								<br />

								Email:&#xA0;
								<xsl:variable name="email1">
									<xsl:value-of
										select="metadata/metainfo/metc/cntinfo/cntemail"
										disable-output-escaping="yes" />
								</xsl:variable>
								<a href="mailto:{$email1}">
									<xsl:value-of
										select="metadata/metainfo/metc/cntinfo/cntemail" />
								</a>

								<br />

								Phone:&#xA0;
								<xsl:value-of
									select="metadata/metainfo/metc/cntinfo/cntvoice"
									disable-output-escaping="yes" />
								<br />
							</td>

						</tr>
						<tr>


							<td style=" border-bottom:0px;">
								Address:

							</td>
							<td style=" border-bottom:0px;">

								<xsl:value-of
									select="metadata/metainfo/metc/cntinfo/cntaddr/address"
									disable-output-escaping="yes" />
								&#xA0; City:
								<xsl:value-of
									select="metadata/metainfo/metc/cntinfo/cntaddr/city"
									disable-output-escaping="yes" />
								&#xA0; State:
								<xsl:value-of
									select="metadata/metainfo/metc/cntinfo/cntaddr/state"
									disable-output-escaping="yes" />
								&#xA0; Postal:
								<xsl:value-of
									select="metadata/metainfo/metc/cntinfo/cntaddr/postal"
									disable-output-escaping="yes" />
								&#xA0;

								Phone:
								<xsl:value-of
									select="metadata/metainfo/metc/cntinfo/cntvoice"
									disable-output-escaping="yes" />
								&#xA0;Fax:
								<xsl:value-of
									select="metadata/metainfo/metc/cntinfo/cntfax"
									disable-output-escaping="yes" />
								&#xA0; Email:
								<xsl:variable name="email2">
									<xsl:value-of
										select="metadata/metainfo/metc/cntinfo/cntemail"
										disable-output-escaping="yes" />
								</xsl:variable>
								<a href="mailto:{$email2}">
									<xsl:value-of
										select="metadata/metainfo/metc/cntinfo/cntemail" />
								</a>

							</td>
						</tr>
					</table>
				</td>
			</tr>

		</table>
		<xsl:variable name="northbc">			
		<xsl:value-of select="metadata/idinfo/spdom/bounding/northbc" />
			</xsl:variable>
		<xsl:if test="$northbc !=''">	
			 <script>loadMap();</script>
		</xsl:if>		 
	</xsl:template>
	<xsl:template match="themekey">
		<xsl:value-of select="." /><br />		
	</xsl:template>
	<xsl:template match="onlink">
		<xsl:value-of select="." /><br />		
	</xsl:template>	
</xsl:stylesheet>
