<?xml version="1.0" encoding="UTF-8"?>
<!-- Edited with XML Spy v2007 (http://www.altova.com) -->
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" version="1.0" encoding="UTF-8"
		indent="yes" />
	<xsl:template match="/">
			<script type='text/javascript' src='../scripts/googlekey.js' />
			<script type='text/javascript' src='../scripts/googleFullPage.js' />	
			<style>
			pre {
			 white-space: pre-wrap;       /* css-3 */
			 white-space: -moz-pre-wrap !important;  /* Mozilla, since 1999 */
			 white-space: -pre-wrap;      /* Opera 4-6 */
			 white-space: -o-pre-wrap;    /* Opera 7 */
			 word-wrap: break-word;       /* Internet Explorer 5.5+ */
			}	
			</style>
			
		<table width="800" class="fullTable">
			<tr>
				<td>
					<span style="font-weight:bold">Title:</span>
				</td>
				<td>
					<xsl:value-of
						select="metadata/idinfo/citation/citeinfo/title"
						disable-output-escaping="yes" />
				</td>
			</tr>
			<tr>
				<td>
					<span style="font-weight:bold">Project(s):</span>
				</td>
				<td>
					<xsl:value-of select="metadata/mercury/Project" />
				</td>
			</tr>
	
	
	<xsl:variable name="identifier">
							<xsl:value-of select="metadata/mercury/Activity" />
						</xsl:variable>	
		<xsl:if  test="$identifier != ''">
			
			<tr>
				<td>
					<span style="font-weight:bold">Activity Identifier:</span>
				</td>
				<td>
					<xsl:value-of select="metadata/mercury/Activity" />
				</td>
			</tr>
		</xsl:if>
		
		
		<xsl:variable name="LBA_Science_Component">
							<xsl:value-of select="metadata/mercury/LBA_Science_Component" />
						</xsl:variable>	
		<xsl:if  test="$LBA_Science_Component != ''">
		
			<tr>	
			
				<td>
					<span style="font-weight:bold">LBA Science Component:</span>
				</td>
				<td>
					<xsl:value-of select="metadata/mercury/LBA_Science_Component" />
				</td>
			</tr>
		</xsl:if>	
		
	<xsl:variable name="LBA_Investigation_Team_ID">
							<xsl:value-of select="metadata/mercury/LBA_Investigation_Team_ID" />
						</xsl:variable>	
		<xsl:if  test="$LBA_Investigation_Team_ID != ''">
		
			<tr>
				<td>
					<span style="font-weight:bold">LBA Investigation Team ID:</span>
				</td>
				<td>
					<xsl:value-of select="metadata/mercury/LBA_Investigation_Team_ID" />
				</td>
			</tr>
			
			</xsl:if>
		<xsl:variable name="investigator">
							<xsl:value-of select="metadata/mercury/Principal_Investigator" />
						</xsl:variable>	
		<xsl:if  test="$investigator != ''">			
			<tr>
				<td valign="top">
					<span style="font-weight:bold">
						Investigator(s):
					</span>
				</td>
				<td class="investigator">
					<xsl:for-each
						select="metadata/mercury/Principal_Investigator">
						<xsl:value-of select="Name"
							disable-output-escaping="yes">
						</xsl:value-of>
						<span style="margin-left: 5px;">
							<xsl:variable name="email">
								<xsl:value-of select="Email" />
							</xsl:variable>
							<a href="mailto:{$email}">
								<xsl:value-of select="Email" />
							</a>
						</span>
						<br />
					</xsl:for-each>
				</td>
			</tr>
		</xsl:if>
		
				<xsl:variable name="Contact_Person_Name">
							<xsl:value-of select="metadata/mercury/Contact_Person/Name" />
						</xsl:variable>	
		<xsl:if  test="$Contact_Person_Name != ''">
		
		<tr>
				<td>
					<span style="font-weight:bold">Contact(s):</span>
				</td>
				<td>
					<xsl:value-of select="metadata/mercury/Contact_Person/Name" />
				</td>
			</tr>
			</xsl:if>
		<xsl:variable name="progress">
							<xsl:value-of select="metadata/idinfo/status/progress" />
						</xsl:variable>	
		<xsl:if  test="$progress != ''">	
			<tr>
				<td>
					<span style="font-weight:bold">Status:</span>
				</td>
				<td>
					<xsl:value-of
						select="metadata/idinfo/status/progress" />
				</td>
			</tr>
		</xsl:if>	
		
		<xsl:variable name="accessRes">
							<xsl:value-of select="metadata/distinfo/stdorder/digform/digtopt/onlinopt/accinstr" />
						</xsl:variable>	
		<xsl:if  test="$accessRes != ''">	
		
		
			<tr>
			
			
				<td>
					<span style="font-weight:bold">
						Access Restrictions:
					</span>
				</td>
				<td>
					<xsl:value-of
						select="metadata/distinfo/stdorder/digform/digtopt/onlinopt/accinstr" />
				</td>
			</tr>
			
		</xsl:if>
		<xsl:variable name="cntorg">
							<xsl:value-of select="metadata/distinfo/distrib/cntinfo/cntperp/cntorg" />
						</xsl:variable>	
		<xsl:if  test="$cntorg != ''">	
			
			<tr>
				<td>
					<span style="font-weight:bold">
						Data Set Location:
					</span>
				</td>
				<td>
					<xsl:value-of
						select="metadata/distinfo/distrib/cntinfo/cntperp/cntorg"
						disable-output-escaping="yes" />
				</td>
			</tr>
		</xsl:if>
	
		<xsl:variable name="Name">
							<xsl:value-of select="metadata/mercury/Contact_Person/Name" />
						</xsl:variable>	
		<xsl:if  test="$Name != ''">		
			<tr>
				<td>
					<span style="font-weight:bold">
						Data Center Contact:
					</span>
				</td>
				<td>
					<xsl:for-each
						select="metadata/mercury/Contact_Person">
						<xsl:value-of select="Name" />
						<xsl:variable name="email">
							<xsl:value-of select="Email" />
						</xsl:variable>
						-
						<a href="mailto:{$email}">
							<xsl:value-of select="Email" />
						</a>						
						<br />
					</xsl:for-each>
				</td>
			</tr>
		</xsl:if>
			<xsl:variable name="computer">
							<xsl:value-of select="metadata/distinfo/stdorder/digform/digtopt/onlinopt/computer" />
						</xsl:variable>	
		<xsl:if  test="$computer != ''">		
			
			<tr>
				<td>
					<span style="font-weight:bold">
						Data Center URL:
					</span>
				</td>
				<td>
					<xsl:variable name="url1">
						<xsl:value-of
							select="normalize-space(metadata/distinfo/stdorder/digform/digtopt/onlinopt/computer)" />
					</xsl:variable>
					<a
						href="{$url1}">
						<xsl:value-of
							select="metadata/distinfo/stdorder/digform/digtopt/onlinopt/computer" />
					</a>
				</td>
			</tr>
		</xsl:if>
		<xsl:variable name="citeinfo">
							<xsl:value-of select="metadata/distinfo/resdesc" />
						</xsl:variable>	
		<xsl:if  test="$citeinfo != ''">			
			<tr>
				<td>
					<span style="font-weight:bold">
						Data Set Citation:
					</span>
				</td>
				<td>
					<xsl:value-of select="metadata/distinfo/resdesc"
						disable-output-escaping="yes" />
				</td>
			</tr>
		</xsl:if>	
			
	<xsl:variable name="downloaddataset">
							<xsl:value-of select="metadata/mercury/Data_Set_Link/URL" />
						</xsl:variable>
	<xsl:if  test="$downloaddataset != ''">
			<tr>
				<td valign="top">
					<span style="font-weight:bold">
						Download Data Sets:
					</span>
				</td>

				<td valign="top">
				
				<table border="1" style="background:#ffffcc;"><tr><td style="text-align:center;">
				<b>IMPORTANT:</b> When using LBA data, you are required to adhere to the<br/>
				<b>LBA Data Use Policy </b><a href="http://www.lbaeco.org/lbaeco/data/data_use.htm">more</a><br/>
				Please familiarize yourself with this policy before downloading and using LBA data. 
				
				</td></tr></table>
				
				
					<xsl:for-each
						select="metadata/mercury/Data_Set_Link">
						<xsl:variable name="url2">
							<xsl:value-of select="URL" />
						</xsl:variable>
						<xsl:variable name="label">
							<xsl:value-of select="Label" />
						</xsl:variable>
						
						<xsl:if  test="$label != ''">
						<a href="{$url2}"><xsl:value-of select="Label" /></a>
						</xsl:if>
						
						<xsl:if  test="$label = ''">
						<a href="{$url2}"><xsl:value-of select="URL" /></a>
						</xsl:if>
						
						
						
						<br />
						<xsl:value-of select="Link_Note" />
						<br />
					</xsl:for-each>
				</td>
			</tr>
	</xsl:if>
	
	<xsl:variable name="documentation">
							<xsl:value-of select="metadata/mercury/Documentation_Link/URL" />
						</xsl:variable>
	<xsl:if  test="$documentation != ''">
		<tr>
				<td>
					<span style="font-weight:bold">
						Documentation:
					</span>
				</td>
				<td>
						<xsl:variable name="Documentation_Link">
							<xsl:value-of select="metadata/mercury/Documentation_Link/URL" />
						</xsl:variable>
					<xsl:variable name="Documentation_Link_Label">
							<xsl:value-of select="metadata/mercury/Documentation_Link/Label" />
						</xsl:variable>
					<a href="{$Documentation_Link}"><xsl:value-of select="metadata/mercury/Documentation_Link/Label"
						disable-output-escaping="yes" /></a>
				</td>
			</tr>
	</xsl:if>
		<xsl:variable name="posters">
							<xsl:value-of select="metadata/mercury/Poster_Link" />
						</xsl:variable>
	<xsl:if  test="$posters != ''">
		<tr>
				<td>
					<span style="font-weight:bold">
						Poster(s):
					</span>
				</td>
				<td>
						<xsl:variable name="Poster_Link">
							<xsl:value-of select="metadata/mercury/Poster_Link/URL" />
						</xsl:variable>
					<xsl:variable name="Poster_Link_Label">
							<xsl:value-of select="metadata/mercury/Poster_Link/Label" />
						</xsl:variable>
					<a href="{$Poster_Link}"><xsl:value-of select="metadata/mercury/Poster_Link/Label"
						disable-output-escaping="yes" /></a>
				</td>
			</tr>
	</xsl:if>
			<tr>
				<td valign="top">
					<span style="font-weight:bold">
						Parameter Description:
					</span>
				</td>
				<td>
					<span id="dropList">
						<img src="../images/arrdown.gif" heigth="20"
							width="20" onClick="expandcontract('Row2','')" />
						<img src="../images/arrup.gif" heigth="20"
							width="20" onClick="expandcontract('Row2','none')" />
					</span>

					<table class="fullgenericTable"
						id="Row2" style="display:block">
						<tr class="tableHead">
							<th align="center">Parameter</th>
							<th align="center">Sensor</th>
							<th align="center">Source</th>
							<th align="center">Term</th>
							<th align="center">Topic</th>
						</tr>
					<xsl:for-each
							select="metadata/mercury/Parameter_Description">
							<tr class="parameterFont">
							<xsl:variable name="Parameter">
								<xsl:value-of select="Parameter" />
							</xsl:variable>	
							 <xsl:choose>
    							<xsl:when test="contains($Parameter,'nbsp')" >
								<td>
									n/a
								</td>
								</xsl:when>
							 <xsl:otherwise>								
									<td><xsl:value-of select="$Parameter" /></td>																
							</xsl:otherwise>
							</xsl:choose>
							
							<xsl:variable name="Sensor">
								<xsl:value-of select="Sensor"/>
							</xsl:variable>	
							 <xsl:choose>
							<xsl:when test="contains($Sensor,'nbsp')">	
								<td>
									n/a
								</td>
							</xsl:when>
							 <xsl:otherwise>
							<td><xsl:value-of select="$Sensor" /></td>
							</xsl:otherwise>
							</xsl:choose>
							
							
							<xsl:variable name="Source">
								<xsl:value-of select="Source" />
							</xsl:variable>	
							 <xsl:choose>
							<xsl:when test="contains($Source,'nbsp')">								
								<td>
									n/a
								</td>
							</xsl:when>
							 <xsl:otherwise>
							<td><xsl:value-of select="$Source"/></td>
							</xsl:otherwise>
							</xsl:choose>
							
							
							<xsl:variable name="Term">
								<xsl:value-of select="Term" />
							</xsl:variable>	
							<xsl:choose>
							<xsl:when test="contains($Term,'nbsp')">						
								<td>
									n/a
								</td>
							</xsl:when>
							 <xsl:otherwise>
							<td><xsl:value-of select="$Term"/></td>
							</xsl:otherwise>
							</xsl:choose>
							
							
							<xsl:variable name="Topic">
								<xsl:value-of select="Topic" />
							</xsl:variable>	
							<xsl:choose>
							<xsl:when test="contains($Topic,'nbsp')">						
								<td>
									n/a
								</td>
							</xsl:when>
							 <xsl:otherwise>
							<td><xsl:value-of select="$Topic"/></td>
							</xsl:otherwise>
							</xsl:choose>
							
							</tr>
						</xsl:for-each>
					</table>
				</td>
			</tr>

<xsl:variable name="Keywords">
		<xsl:value-of select="metadata//Keywords" />
	</xsl:variable>
										
<xsl:if test="$Keywords != ''">

			<tr>
				<td valign="top">
					<span style="font-weight:bold">Keywords:</span>
				</td>
				<td>
					<xsl:apply-templates select="metadata//Keywords" />
				</td>
			</tr>
</xsl:if>
			<tr>
				<td valign="top">
					<span style="font-weight:bold">Description:</span>
				</td>
				<td class="abstractTD">
				<xsl:value-of select="metadata/idinfo/descript/abstract" disable-output-escaping="yes" />
				</td>
			</tr>
<xsl:variable name="northbc">			
		<xsl:value-of select="metadata/mercury/Site_Information/Northernmost_Latitude" />
	</xsl:variable>
  <xsl:variable name="eastbc">
  <xsl:value-of select="metadata/mercury/Site_Information/Easternmost_Longitude" /> 
  </xsl:variable> 
  <xsl:variable name="westbc">
  <xsl:value-of select="metadata/mercury/Site_Information/Westernmost_Longitude" /> 
  </xsl:variable> 
  <xsl:variable name="southbc">
  <xsl:value-of select="metadata/mercury/Site_Information/Southernmost_Latitude" /> 
  </xsl:variable> 
			<xsl:if test="$northbc !='' and $southbc !='' and $eastbc !='' and $westbc !=''">	 						
										
			<tr>
				<td valign="top">
					<span style="font-weight:bold">
						Site Information:
					</span>
				</td>

				<td valign="top">
					<table class="fullmapTD">
						<tr>
							<td valign="top">

								<table class="fullmapTD">
								
									<tr class="tableHead">
										<th align="left">Site</th>
										<th align="left">North</th>
										<th align="left">West</th>
										<th align="left">South</th>
										<th align="left">East</th>
										<th align="left"></th>
									</tr>

									<xsl:for-each
										select="metadata/mercury/Site_Information">
										<xsl:variable
											name="northcoord">
											<xsl:value-of
												select="Northernmost_Latitude" />
										</xsl:variable>
										<xsl:variable
											name="westcoord">
											<xsl:value-of
												select="Westernmost_Longitude" />
										</xsl:variable>
										<xsl:variable
											name="southcoord">
											<xsl:value-of
												select="Southernmost_Latitude" />
										</xsl:variable>
										<xsl:variable
											name="eastcoord">
											<xsl:value-of
												select="Easternmost_Longitude" />
										</xsl:variable>


										<tr class="parameterFont">
											<td>
												<xsl:value-of
													select="Site" />
											</td>
											<td>
												<xsl:value-of
													select="Northernmost_Latitude" />
											</td>
											<td>
												<xsl:value-of
													select="Westernmost_Longitude" />
											</td>
											<td>
												<xsl:value-of
													select="Southernmost_Latitude" />
											</td>
											<td>
												<xsl:value-of
													select="Easternmost_Longitude" />
											</td>
											<td>
												<input class="buttons"
													type="button" value="Locate" name="Locate"
													onclick="map_it('{$southcoord}','{$westcoord}','{$northcoord}','{$eastcoord}');" />
											</td>
										</tr>
										<script>
											function
											map_it(sc,wc,nc,ec){
											document.coordValues.coordsValues.value
											= "N: "+nc+" W: "+wc+"S:"+sc+" E: "+ec;
											document.coordValues.northbound.value
											= nc;
											document.coordValues.westbound.value
											= wc;
											document.coordValues.southbound.value
											= sc;
											document.coordValues.eastbound.value
											= ec; loadMap(); }

										</script>
									</xsl:for-each>


								</table>
							</td>
							<td valign="top">
								<table class="fullmapTD">
									<tr>
										<td align="center">
											<form name="coordValues">
												<div id="map1"
													style="width:260px; height:200px; border:0px solid #1D6893;overflow: hidden">
												</div>
												<xsl:variable
													name="sinfo">
													<xsl:value-of
														select="metadata/mercury/Site_Information/Site" />
												</xsl:variable>
												<xsl:variable
													name="northcoord">
													<xsl:value-of
														select="metadata/mercury/Site_Information/Northernmost_Latitude" />
												</xsl:variable>
												<xsl:variable
													name="westcoord">
													<xsl:value-of
														select="metadata/mercury/Site_Information/Westernmost_Longitude" />
												</xsl:variable>
												<xsl:variable
													name="southcoord">
													<xsl:value-of
														select="metadata/mercury/Site_Information/Southernmost_Latitude" />
												</xsl:variable>
												<xsl:variable
													name="eastcoord">
													<xsl:value-of
														select="metadata/mercury/Site_Information/Easternmost_Longitude" />
												</xsl:variable>
												<input size="50"
													value="{$sinfo}" style="border:0; font-size:9px;"
													type="text" id="coordsValues" name="coordsValues"
													onFocus="this.blur();" />
												<input type="hidden"
													size="100" id="northbound" value="{$northcoord}" />
												<input type="hidden"
													size="100" id="westbound" value="{$westcoord}" />
												<input type="hidden"
													size="100" id="southbound" value="{$southcoord}" />
												<input type="hidden"
													size="100" id="eastbound" value="{$eastcoord}" />
											</form>
											<p />
											<br />
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		<script>loadMap();</script>
</xsl:if>
<xsl:variable name="spacialRef">
							<xsl:value-of select="metadata/mercury/Spatial_Detail" />
						</xsl:variable>
	
			<tr>
				<td>
					<b>Content Time Range:</b>
				</td>
				<xsl:for-each select="metadata/mercury">
					<td>

						Begin:
						<xsl:value-of select="begdate" />
						- End:
						<xsl:value-of select="enddate" />


					</td>
				</xsl:for-each>

			</tr>

        <xsl:for-each select="metadata/mercury/Related_Publication_Information">
      	<xsl:variable name="relatedPubTitle">
							<xsl:value-of select="Publication_Title" />
				</xsl:variable>	
		<xsl:if  test="$relatedPubTitle != ''">
			<tr>
				<td>
					<b>Related Publication:</b>
				</td>
				<td>
				&#160;
				</td>
			</tr>
			<tr>
				<td valign="top">
						<strong>&#160;&#160;Title:</strong>
				</td>
				<td>
						<xsl:value-of select="Publication_Title" /><br/>
				</td>
			</tr>
			<tr>
				<td valign="top">
						<strong>&#160;&#160;Authors:</strong>
				</td>
				<td>
						<xsl:value-of select="Publication_Authors" /><br/>
				</td>
			</tr>
			<tr>
				<td valign="top">
						<strong>&#160;&#160;Abstract:</strong>
				</td>
				<td>		
						<xsl:value-of select="Publication_Abstract" /><br/>
				</td>
			</tr>
			<tr>
				<td valign="top">
						<strong>&#160;&#160;Citation:</strong>
				</td>
				<td>
						<xsl:value-of select="Publication_Citation" /><br/>
				</td>
			</tr>
			<tr>
				<td>
						<strong>&#160;&#160;Keywords:</strong>
				</td>
				<td>
						<xsl:value-of select="Publication_Keywords" /><br/>
				</td>
			</tr>
			<tr>
				<td>
						<strong>&#160;&#160;ISBN Number:</strong>
				</td>
				<td>
						<xsl:value-of select="ISBN_Number" /><br/>
				</td>
			</tr>
			<tr>
				<td >
						<strong>&#160;&#160;Internal_Pub_ID:</strong>
				</td>
				<td>
						<xsl:value-of select="Internal_Pub_ID" /><br/>						
					</td>
			</tr>
	</xsl:if>
</xsl:for-each>





			<tr>
			<td valign="top">
			<span style="font-weight:bold">Data Characteristics (Entity and Attribute Overview):</span>
			</td>
			
			
			<td>			 
		
			</td>	
			</tr>
			






			<tr>
				<td valign="top">
					<span style="font-weight:bold">
						Metadata Author:
					</span>
				</td>
				<td>
					Name:
					<xsl:value-of
						select="metadata/metainfo/metc/cntinfo/cntperp/cntper" />
					<br />
					<xsl:variable name="email">
						<xsl:value-of
							select="metadata/metainfo/metc/cntinfo/cntemail" />
					</xsl:variable>
					Email:
					<a href="mailto:{$email}">
						<xsl:value-of
							select="metadata/metainfo/metc/cntinfo/cntemail" />
					</a>
					<br />
					Phone:
					<xsl:value-of
						select="metadata/metainfo/metc/cntinfo/cntvoice" />
				</td>
			</tr>

<xsl:variable name="AddDoc">
							<xsl:value-of select="metadata/mercury/Documentation_Link/URL" />
						</xsl:variable>
	<xsl:if  test="$AddDoc != ''">
			<tr>
				<td valign="top">
					<span style="font-weight:bold">
						Additional Documentation:
					</span>
				</td>
				<td>
					<xsl:for-each
						select="metadata/mercury/Documentation_Link">
						<xsl:variable name="url">
							<xsl:value-of select="URL" />
						</xsl:variable>
						<xsl:variable name="label1">
							<xsl:value-of select="Label" />
						</xsl:variable>
						<a
							href="{$url}">
							<xsl:value-of select="Label" />
						</a>
						<br />
					</xsl:for-each>

				</td>
			</tr>
	</xsl:if>		
	<xsl:variable name="viewmetadata">
							<xsl:value-of select="metadata/idinfo/citation/citeinfo/onlink" />
						</xsl:variable>
	<xsl:if  test="$viewmetadata != ''">		
			<tr>
				<td colspan="2">
					<div style="text-align:center;">
						<xsl:variable name="metadata">
							<xsl:value-of
								select="metadata/idinfo/citation/citeinfo/onlink" />
						</xsl:variable>
						<a href="{$metadata}">View Metadata Source</a>
					</div>
				</td>
			</tr>
	 </xsl:if>
		</table>
	
	</xsl:template>
	<xsl:template match="Keywords">
		<xsl:value-of select="." />
		<br />
	</xsl:template>
	<xsl:template match="Data_Characteristics">
		<xsl:value-of select="." />
		<br />
	</xsl:template>
</xsl:stylesheet>
