<?xml version="1.0" encoding="UTF-8"?>
<!-- Edited with XML Spy v2007 (http://www.altova.com) -->
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" version="1.0" encoding="UTF-8"
		indent="yes" />
	<xsl:template match="/">
			<script type='text/javascript' src='../scripts/googlekey.js' />
			<script type='text/javascript' src='../scripts/googleFullPage.js' />
		
		
			

		<table class="fullTable">
		<tr>
				<td>
					<span style="font-weight:bold">Title:</span>
				</td>
				<td>
					<b><xsl:value-of
						select="metadata/idinfo/citation/citeinfo/title"
						disable-output-escaping="yes" /></b>
				</td>
			</tr>
			<tr>
				<td>
					<span style="font-weight:bold">Project(s):</span>
				</td>
				<td>
					<xsl:value-of select="metadata/mercury/Project" />
				</td>
			</tr>
			<tr>
				<td valign="top">
					<span style="font-weight:bold">
						Investigator(s):
					</span>
				</td>
				<td class="investigator">
					<xsl:for-each
						select="metadata/mercury/Principal_Investigator">
						<xsl:value-of select="Name"
							disable-output-escaping="yes">
						</xsl:value-of>
						<span style="margin-left: 5px;">
							<xsl:variable name="email">
								<xsl:value-of select="Email" />
							</xsl:variable>
							<a href="mailto:{$email}">
								<xsl:value-of select="Email" />
							</a>
						</span>
						<br />
					</xsl:for-each>
				</td>
			</tr>
			<tr>
				<td>
					<span style="font-weight:bold">Status:</span>
				</td>
				<td>
					<xsl:value-of
						select="metadata/idinfo/status/progress" />
				</td>
			</tr>
			<tr>
				<td>
					<span style="font-weight:bold">
						Access Restrictions:
					</span>
				</td>
				<td>
					<xsl:value-of
						select="metadata/distinfo/stdorder/digform/digtopt/onlinopt/accinstr" />
				</td>
			</tr>
			<tr>
				<td>
					<span style="font-weight:bold">
						Data Set Location:
					</span>
				</td>
				<td>
					<xsl:value-of
						select="metadata/distinfo/distrib/cntinfo/cntperp/cntorg"
						disable-output-escaping="yes" />
				</td>
			</tr>
			<tr>
				<td>
					<span style="font-weight:bold">
						Data Center Contact:
					</span>
				</td>
				<td>
					<xsl:for-each
						select="metadata/mercury/Contact_Person">
						<xsl:value-of select="Name" />
						<xsl:variable name="email">
							<xsl:value-of select="Email" />
						</xsl:variable>
						-
						<a href="mailto:{$email}">
							<xsl:value-of select="Email" />
						</a>
						Phone:
						<xsl:value-of select="Phone" />
						<br />
					</xsl:for-each>
				</td>
			</tr>
			<tr>
				<td>
					<span style="font-weight:bold">
						Data Center URL:
					</span>
				</td>
				<td>
					<xsl:variable name="url1">
						<xsl:value-of
							select="metadata/distinfo/stdorder/digform/digtopt/onlinopt/computer" />
					</xsl:variable>
					<a
						href="{$url1}" onclick="survey();">
						<xsl:value-of
							select="metadata/distinfo/stdorder/digform/digtopt/onlinopt/computer" />
					</a>
				</td>
			</tr>
			<tr>
				<td>
					<span style="font-weight:bold">
						Data Set Citation:
					</span>
				</td>
				<td>
					<xsl:value-of select="metadata/distinfo/resdesc"
						disable-output-escaping="yes" />
				</td>
			</tr>
			<tr>
				<td valign="top">
					<span style="font-weight:bold">
						Download Data Sets:
					</span>
				</td>

				<td valign="top">
					<xsl:for-each
						select="metadata/mercury/Data_Set_Link">
						<xsl:variable name="url2">
							<xsl:value-of select="URL" />
						</xsl:variable>
						<xsl:variable name="label">
							<xsl:value-of select="Label" />
						</xsl:variable>
						<a
							href="{$url2}" onclick="survey();">
							<xsl:value-of select="Label" />
						</a>
						<br />
						<xsl:value-of select="Link_Note" />
						<br />
					</xsl:for-each>
				</td>
			</tr>
<xsl:variable name="dataAccess">
						<xsl:value-of
							select="metadata/mercury/Alternate_Data_Access/Data_Set_Status" />
					</xsl:variable>			
	<xsl:if test="$dataAccess != ''">					
			<tr>
				<td valign="top">
					<span style="font-weight:bold">
						Alternate Data Access:
					</span>
				</td>

				<td valign="top">
					<xsl:for-each
						select="metadata/mercury/Alternate_Data_Access">
				<table>
				<tr>
				<td>
					<span style="font-weight:bold">Status:</span>
				</td>
				<td>
					<xsl:value-of
						select="Data_Set_Status" />
				</td>
			</tr>
			<tr>
				<td>
					<span style="font-weight:bold">
						Access Restrictions:
					</span>
				</td>
				<td>
					<xsl:value-of
						select="Data_Set_Restrictions" />
				</td>
			</tr>
			<tr>
				<td>
					<span style="font-weight:bold">
						Data Set Location:
					</span>
				</td>
				<td>
					<xsl:value-of
						select="Data_Set_Location"
						disable-output-escaping="yes" />
				</td>
			</tr>
			<tr>
				<td>
					<span style="font-weight:bold">
						Data Center Contact:
					</span>
				</td>
				<td>
					<xsl:for-each
						select="Data_Contact_Person">
						<xsl:value-of select="Name" />
						<xsl:variable name="email">
							<xsl:value-of select="Email" />
						</xsl:variable>
						-
						<a href="mailto:{$email}">
							<xsl:value-of select="Email" />
						</a>
						Phone:
						<xsl:value-of select="Phone" />
						<br />
					</xsl:for-each>
				</td>
			</tr>
			<tr>
				<td>
					<span style="font-weight:bold">
						Data Center URL:
					</span>
				</td>
				<td>
					<xsl:variable name="url1">
						<xsl:value-of
							select="Data_Center_URL" />
					</xsl:variable>
					<a
						href="{$url1}" onclick="survey();">
						<xsl:value-of
							select="Data_Center_URL" />
					</a>
				</td>
			</tr>
			<tr>
				<td>
					<span style="font-weight:bold">
						Data Set Citation:
					</span>
				</td>
				<td>
					<xsl:value-of select="Data_Set_Citation"
						disable-output-escaping="yes" />
				</td>
			</tr>
			<tr>
				<td valign="top">
					<span style="font-weight:bold">
						Download Data Sets:
					</span>
				</td>

				<td valign="top">
					<xsl:for-each
						select="Data_Set_Link">
						<xsl:variable name="url2">
							<xsl:value-of select="URL" />
						</xsl:variable>
						<xsl:variable name="label">
							<xsl:value-of select="Label" />
						</xsl:variable>
						<a
							href="{$url2}" onclick="survey();">
							<xsl:value-of select="Label" />
						</a>
						<br />
						<xsl:value-of select="Link_Note" />
						<br />
					</xsl:for-each>
				</td>
			</tr>
			</table>
					</xsl:for-each>
				</td>
			</tr>
			</xsl:if>
			<xsl:variable name="ogc_url">
						<xsl:value-of
							select="metadata/mercury/OGC_URL" />
					</xsl:variable>
				<xsl:if test="$ogc_url != ''">	
			<tr>
			<td><span style="font-weight:bold">Spatial Data Access:</span></td>
			<td>
			<a
							href="{$ogc_url}">
							<xsl:value-of select="$ogc_url" />
				</a>
			
			
			</td>
			</tr>
			
			
			
			<tr valign="top">
			<td></td>
			
			<td>
			<table class="OGCinnertable">
			<tr valign="top">
			<td width="25%">
			<b style="color:brown">Total result(s):&#xa0;<xsl:value-of select="count(metadata/mercury/Granule_Details/Granule/Granule_ID)" disable-output-escaping="yes"/></b>
			</td>
			<td>
		 		 <div id="pager" class="pager">
				<form>
					<img title="first" src="../images/first.png" class="first"/>
					<img title="previous" src="../images/prev.png" class="prev"/>&#xa0;				
					<b style="color:brown">Currently viewing:&#xa0;</b><input style="border : none;font-weight:bold;color : brown" type="text" class="pagedisplay"/>&#xa0; 
					<img title="next" src="../images/next.png" class="next"/>
					<img title="last" src="../images/last.png" class="last"/>
					&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;
					<b style="color:brown">Results to display: </b>
					
				
					<select class="pagesize">
						<option selected="selected"  value="5">5</option>			
						<option value="10">10</option>
						<option value="20">20</option>
						<option  value="40">40</option>
					</select>
				</form>
				</div>
			</td>						
			</tr>
			<tr>
			<td colspan="2">
			<b>Filter by title:</b>
			<input name="filter" id="filter-box" value="" maxlength="30" size="20" type="text" />
			<input id="filter-clear-button" type="submit" class="buttons" value="Clear"/>
			</td>
			</tr>
		    </table>
		    	
			<table id="myTable"  class="tablesorter" >
			<thead> 
			<tr class="tableHead">
				<th>Granule Title</th>
				<th>Spatial</th>
				<th>Temporal</th>
				<th>Preview Image</th>			
			</tr>
			</thead>
			<tbody>
			<xsl:for-each
							select="metadata/mercury/Granule_Details/Granule">
			<tr>
			
			<xsl:variable name="granule_id">
			<xsl:value-of select="Granule_ID"
										disable-output-escaping="yes" />
			</xsl:variable>
			
			
			<td width="42%">
				<a href="http://webmap.ornl.gov/wcsdown/wcsdown.jsp?dg_id={$granule_id}">			
			
				<xsl:value-of select="Granule_Title"
										disable-output-escaping="yes" />
										
				</a>						
			</td>
			<td>
			<span style="font-weight:bold">West:  </span><xsl:value-of select="Westernmost_Longitude"
											disable-output-escaping="yes" />	<br/>  
			<span style="font-weight:bold">North: </span><xsl:value-of select="Northernmost_Latitude"
											disable-output-escaping="yes" />	<br/>  								
			<span style="font-weight:bold">East:  </span> <xsl:value-of select="Easternmost_Longitude"
											disable-output-escaping="yes" />	<br/> 								
			<span style="font-weight:bold">South: </span><xsl:value-of select="Southernmost_Latitude"
											disable-output-escaping="yes" /> 
										
			</td>
			<td>
				<span style="font-weight:bold">Start:</span> <xsl:value-of select="Start_Date"
										disable-output-escaping="yes" />
										<br/>
				<span style="font-weight:bold">End:</span> <xsl:value-of select="End_Date"
										disable-output-escaping="yes" />						
										</td>
			<td>
			<a href="http://webmap.ornl.gov/wcsdown/wcsdown.jsp?dg_id={$granule_id}">						
			<img border="0" src="http://webmap.ornl.gov/preview_images/{$granule_id}.png" />
			</a>
			
			</td>
			
		
			</tr>			
			</xsl:for-each>
			</tbody>
			</table>
			
			
			
			</td>
			
			
			</tr>
			
			</xsl:if>
			<tr>		
				<td valign="top">
					<span style="font-weight:bold">
						Parameter Description:
					</span>
				</td>
				<td>
					

					<table  id="myTable2"  class="tablesorter">
						<thead> 
						<tr class="tableHead">
							<th align="center">Parameter</th>
							<th align="center">Sensor</th>
							<th align="center">Source</th>
							<th align="center">Term</th>
							<th align="center">Topic</th>
						</tr>
						</thead>
						<tbody>
						<xsl:for-each
							select="metadata/mercury/Parameter_Description">
							<tr class="parameterFont">
								<td>
									<xsl:value-of select="Parameter"
										disable-output-escaping="yes" />
								</td>
								<td>
									<xsl:value-of select="Sensor"
										disable-output-escaping="yes" />
								</td>
								<td>
									<xsl:value-of select="Source"
										disable-output-escaping="yes" />
								</td>
								<td>
									<xsl:value-of select="Term"
										disable-output-escaping="yes" />
								</td>
								<td>
									<xsl:value-of select="Topic"
										disable-output-escaping="yes" />
								</td>
							</tr>
						</xsl:for-each>
						</tbody>
					</table>
				</td>
			</tr>


			<tr>
				<td valign="top">
					<span style="font-weight:bold">Keywords:</span>
				</td>
				<td>
					<xsl:apply-templates select="metadata//Keywords" />
				</td>
			</tr>

			<tr>
				<td valign="top"><span style="font-weight:bold">Abstract:</span></td>
				<td class="abstractTD">
				<xsl:value-of select="metadata/idinfo/descript/abstract"/>
				</td>
			</tr>
<xsl:variable name="siteinfo">			
<xsl:value-of select="metadata/mercury/Site_Information/Site" />
</xsl:variable>
<xsl:if test="$siteinfo != ''">
			<tr>
				<td valign="top">
					<span style="font-weight:bold">
						Site Information:
					</span>
				</td>

				<td valign="top">
					<table class="fullmapTD">
						<tr>
							<td valign="top">

								<table class="fullmapTD">
									<tr class="tableHead">
										<th align="left">Site</th>
										<th align="left">North</th>
										<th align="left">West</th>
										<th align="left">South</th>
										<th align="left">East</th>
										<th align="left"></th>
									</tr>

									<xsl:for-each
										select="metadata/mercury/Site_Information">
										<xsl:variable
											name="northcoord">
											<xsl:value-of
												select="Northernmost_Latitude" />
										</xsl:variable>
										<xsl:variable
											name="westcoord">
											<xsl:value-of
												select="Westernmost_Longitude" />
										</xsl:variable>
										<xsl:variable
											name="southcoord">
											<xsl:value-of
												select="Southernmost_Latitude" />
										</xsl:variable>
										<xsl:variable
											name="eastcoord">
											<xsl:value-of
												select="Easternmost_Longitude" />
										</xsl:variable>


										<tr class="parameterFont">
											<td>
												<xsl:value-of
													select="Site" />
											</td>
											<td>
												<xsl:value-of
													select="Northernmost_Latitude" />
											</td>
											<td>
												<xsl:value-of
													select="Westernmost_Longitude" />
											</td>
											<td>
												<xsl:value-of
													select="Southernmost_Latitude" />
											</td>
											<td>
												<xsl:value-of
													select="Easternmost_Longitude" />
											</td>
											<td>
												<input class="buttons"
													type="button" value="Locate" name="Locate"
													onclick="map_it('{$southcoord}','{$westcoord}','{$northcoord}','{$eastcoord}');" />
											</td>
										</tr>
										<script>
											function
											map_it(sc,wc,nc,ec){
											document.coordValues.coordsValues.value	= "N: "+nc+" W: "+wc+"S:"+sc+" E: "+ec;
											document.coordValues.northbound.value= nc;
											document.coordValues.westbound.value= wc;
											document.coordValues.southbound.value= sc;
											document.coordValues.eastbound.value= ec;											
											loadMap();
											}
											
										</script>
									</xsl:for-each>


								</table>
							</td>
							<td valign="top">
								<table class="fullmapTD">
									<tr>
										<td align="center">
											<form name="coordValues">
												<div id="map1"
													style="width:260px; height:200px; border:0px solid #1D6893;overflow:auto;">
												</div>
												<xsl:variable
													name="sinfo">
													<xsl:value-of
														select="metadata/mercury/Site_Information" />
												</xsl:variable>
												<xsl:variable
													name="northcoord">
													<xsl:value-of
														select="metadata/mercury/Site_Information/Northernmost_Latitude" />
												</xsl:variable>
												<xsl:variable
													name="westcoord">
													<xsl:value-of
														select="metadata/mercury/Site_Information/Westernmost_Longitude" />
												</xsl:variable>
												<xsl:variable
													name="southcoord">
													<xsl:value-of
														select="metadata/mercury/Site_Information/Southernmost_Latitude" />
												</xsl:variable>
												<xsl:variable
													name="eastcoord">
													<xsl:value-of
														select="metadata/mercury/Site_Information/Easternmost_Longitude" />
												</xsl:variable>
												<input size="50"
													value="{$sinfo}" style="border:0; font-size:9px;"
													type="text" alt="co-ordinates" id="coordsValues" name="coordsValues"
													onFocus="this.blur();" />
												<input type="hidden"
													size="100" id="northbound" value="{$northcoord}" />
												<input type="hidden"
													size="100" id="westbound" value="{$westcoord}" />
												<input type="hidden"
													size="100" id="southbound" value="{$southcoord}" />
												<input type="hidden"
													size="100" id="eastbound" value="{$eastcoord}" />
											</form>
											<p />
											<br />
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
</xsl:if>

			<tr>
				<td valign="top">
					<b>Spatial Reference Method:</b>
				</td>
				<td>
					<xsl:value-of
						select="metadata/mercury/Spatial_Reference_Method" />
				</td>
			</tr>
			<tr>
				<td>
					<b>Content Time Range:</b>
				</td>
				<xsl:for-each select="metadata/mercury">
					<td>

						Begin:
						<xsl:value-of select="begdate" />
						- End:
						<xsl:value-of select="enddate" />


					</td>
				</xsl:for-each>

			</tr>




			<tr>
				<td valign="top">
					<span style="font-weight:bold">
						Metadata Author:
					</span>
				</td>
				<td>
					Name:
					<xsl:value-of
						select="metadata/metainfo/metc/cntinfo/cntperp/cntper" />
					<br />
					<xsl:variable name="email">
						<xsl:value-of
							select="metadata/metainfo/metc/cntinfo/cntemail" />
					</xsl:variable>
					Email:
					<a href="mailto:{$email}">
						<xsl:value-of
							select="metadata/metainfo/metc/cntinfo/cntemail" />
					</a>
					<br />
					Phone:
					<xsl:value-of
						select="metadata/metainfo/metc/cntinfo/cntvoice" />
				</td>
			</tr>


			<tr>
				<td valign="top">
					<span style="font-weight:bold">
						Additional Documentation:
					</span>
				</td>
				<td>
					<xsl:for-each
						select="metadata/mercury/Documentation_Link">
						<xsl:variable name="url">
							<xsl:value-of select="URL" />
						</xsl:variable>
						<xsl:variable name="label1">
							<xsl:value-of select="Label" />
						</xsl:variable>
						<a
							href="{$url}" onclick="survey();">
							<xsl:value-of select="Label" />
						</a>
						<br />
					</xsl:for-each>

				</td>
			</tr>
			<tr>
				<td colspan="2">
					<div style="text-align:center;">
						<xsl:variable name="metadata">
							<xsl:value-of
								select="metadata/idinfo/citation/citeinfo/onlink" />
						</xsl:variable>
						<a href="{$metadata}">View Metadata Source</a>
					</div>
				</td>
			</tr>
		</table>
<xsl:variable name="siteinfo">			
<xsl:value-of select="metadata/mercury/Site_Information/Site" />
</xsl:variable>
<xsl:if test="$siteinfo != ''">
<script>loadMap();</script>
</xsl:if>
	</xsl:template>
	<xsl:template match="Keywords">
		<xsl:value-of select="." />
		<br />
	</xsl:template>
</xsl:stylesheet>
